Create single-turn evaluations
curl --request POST \
--url https://api.galtea.ai/evaluations/singleTurn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metrics": [
{
"id": "id_123",
"name": "Example Name",
"score": 0.95
}
],
"actualOutput": "Model response text",
"versionId": "ver_123",
"productId": "prod_123",
"testCaseId": "tc_123",
"input": "What is the capital of France?",
"retrievalContext": "Retrieved context document",
"inputTokens": 123,
"outputTokens": 123,
"cacheReadInputTokens": 123,
"tokens": 123,
"cost": 123,
"costPerInputToken": 123,
"costPerOutputToken": 123,
"costPerCacheReadInputToken": 123,
"conversationSimulatorVersion": "<string>",
"isProduction": true,
"runId": "run_123"
}
'import requests
url = "https://api.galtea.ai/evaluations/singleTurn"
payload = {
"metrics": [
{
"id": "id_123",
"name": "Example Name",
"score": 0.95
}
],
"actualOutput": "Model response text",
"versionId": "ver_123",
"productId": "prod_123",
"testCaseId": "tc_123",
"input": "What is the capital of France?",
"retrievalContext": "Retrieved context document",
"inputTokens": 123,
"outputTokens": 123,
"cacheReadInputTokens": 123,
"tokens": 123,
"cost": 123,
"costPerInputToken": 123,
"costPerOutputToken": 123,
"costPerCacheReadInputToken": 123,
"conversationSimulatorVersion": "<string>",
"isProduction": True,
"runId": "run_123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metrics: [{id: 'id_123', name: 'Example Name', score: 0.95}],
actualOutput: 'Model response text',
versionId: 'ver_123',
productId: 'prod_123',
testCaseId: 'tc_123',
input: 'What is the capital of France?',
retrievalContext: 'Retrieved context document',
inputTokens: 123,
outputTokens: 123,
cacheReadInputTokens: 123,
tokens: 123,
cost: 123,
costPerInputToken: 123,
costPerOutputToken: 123,
costPerCacheReadInputToken: 123,
conversationSimulatorVersion: '<string>',
isProduction: true,
runId: 'run_123'
})
};
fetch('https://api.galtea.ai/evaluations/singleTurn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/evaluations/singleTurn",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metrics' => [
[
'id' => 'id_123',
'name' => 'Example Name',
'score' => 0.95
]
],
'actualOutput' => 'Model response text',
'versionId' => 'ver_123',
'productId' => 'prod_123',
'testCaseId' => 'tc_123',
'input' => 'What is the capital of France?',
'retrievalContext' => 'Retrieved context document',
'inputTokens' => 123,
'outputTokens' => 123,
'cacheReadInputTokens' => 123,
'tokens' => 123,
'cost' => 123,
'costPerInputToken' => 123,
'costPerOutputToken' => 123,
'costPerCacheReadInputToken' => 123,
'conversationSimulatorVersion' => '<string>',
'isProduction' => true,
'runId' => 'run_123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/evaluations/singleTurn"
payload := strings.NewReader("{\n \"metrics\": [\n {\n \"id\": \"id_123\",\n \"name\": \"Example Name\",\n \"score\": 0.95\n }\n ],\n \"actualOutput\": \"Model response text\",\n \"versionId\": \"ver_123\",\n \"productId\": \"prod_123\",\n \"testCaseId\": \"tc_123\",\n \"input\": \"What is the capital of France?\",\n \"retrievalContext\": \"Retrieved context document\",\n \"inputTokens\": 123,\n \"outputTokens\": 123,\n \"cacheReadInputTokens\": 123,\n \"tokens\": 123,\n \"cost\": 123,\n \"costPerInputToken\": 123,\n \"costPerOutputToken\": 123,\n \"costPerCacheReadInputToken\": 123,\n \"conversationSimulatorVersion\": \"<string>\",\n \"isProduction\": true,\n \"runId\": \"run_123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.galtea.ai/evaluations/singleTurn")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"metrics\": [\n {\n \"id\": \"id_123\",\n \"name\": \"Example Name\",\n \"score\": 0.95\n }\n ],\n \"actualOutput\": \"Model response text\",\n \"versionId\": \"ver_123\",\n \"productId\": \"prod_123\",\n \"testCaseId\": \"tc_123\",\n \"input\": \"What is the capital of France?\",\n \"retrievalContext\": \"Retrieved context document\",\n \"inputTokens\": 123,\n \"outputTokens\": 123,\n \"cacheReadInputTokens\": 123,\n \"tokens\": 123,\n \"cost\": 123,\n \"costPerInputToken\": 123,\n \"costPerOutputToken\": 123,\n \"costPerCacheReadInputToken\": 123,\n \"conversationSimulatorVersion\": \"<string>\",\n \"isProduction\": true,\n \"runId\": \"run_123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/evaluations/singleTurn")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metrics\": [\n {\n \"id\": \"id_123\",\n \"name\": \"Example Name\",\n \"score\": 0.95\n }\n ],\n \"actualOutput\": \"Model response text\",\n \"versionId\": \"ver_123\",\n \"productId\": \"prod_123\",\n \"testCaseId\": \"tc_123\",\n \"input\": \"What is the capital of France?\",\n \"retrievalContext\": \"Retrieved context document\",\n \"inputTokens\": 123,\n \"outputTokens\": 123,\n \"cacheReadInputTokens\": 123,\n \"tokens\": 123,\n \"cost\": 123,\n \"costPerInputToken\": 123,\n \"costPerOutputToken\": 123,\n \"costPerCacheReadInputToken\": 123,\n \"conversationSimulatorVersion\": \"<string>\",\n \"isProduction\": true,\n \"runId\": \"run_123\"\n}"
response = http.request(request)
puts response.read_body[
{
"id": "eval_123",
"metricId": "metric_123",
"sessionId": "session_123",
"productId": "product_123",
"userId": "user_123",
"status": "SUCCESS",
"inferenceResultId": "ir_123",
"score": 0.95,
"reason": "<string>",
"error": "<string>",
"canRetry": true,
"creditsUsed": 123,
"conversationSimulatorVersion": "<string>",
"humanEvaluatorId": "<string>",
"humanEvaluatorStartedAt": "2023-11-07T05:31:56Z",
"humanScore": 123,
"humanReason": "<string>",
"humanEvaluatorFinishedAt": "2023-11-07T05:31:56Z",
"failedTurns": [
"<string>"
],
"deletedAt": "2023-11-07T05:31:56Z",
"evaluatedAt": "2023-11-07T05:31:56Z",
"metricLegacyAt": "2023-11-07T05:31:56Z",
"passed": true,
"metricPassThreshold": 0.5,
"metricDisabledAt": "2023-11-07T05:31:56Z",
"runId": "<string>",
"metricExcludedFromAnalyticsAt": "2023-11-07T05:31:56Z",
"metricExcludedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Create single-turn evaluations
Create evaluations for single-turn interactions. See Evaluations.
POST
/
evaluations
/
singleTurn
Create single-turn evaluations
curl --request POST \
--url https://api.galtea.ai/evaluations/singleTurn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metrics": [
{
"id": "id_123",
"name": "Example Name",
"score": 0.95
}
],
"actualOutput": "Model response text",
"versionId": "ver_123",
"productId": "prod_123",
"testCaseId": "tc_123",
"input": "What is the capital of France?",
"retrievalContext": "Retrieved context document",
"inputTokens": 123,
"outputTokens": 123,
"cacheReadInputTokens": 123,
"tokens": 123,
"cost": 123,
"costPerInputToken": 123,
"costPerOutputToken": 123,
"costPerCacheReadInputToken": 123,
"conversationSimulatorVersion": "<string>",
"isProduction": true,
"runId": "run_123"
}
'import requests
url = "https://api.galtea.ai/evaluations/singleTurn"
payload = {
"metrics": [
{
"id": "id_123",
"name": "Example Name",
"score": 0.95
}
],
"actualOutput": "Model response text",
"versionId": "ver_123",
"productId": "prod_123",
"testCaseId": "tc_123",
"input": "What is the capital of France?",
"retrievalContext": "Retrieved context document",
"inputTokens": 123,
"outputTokens": 123,
"cacheReadInputTokens": 123,
"tokens": 123,
"cost": 123,
"costPerInputToken": 123,
"costPerOutputToken": 123,
"costPerCacheReadInputToken": 123,
"conversationSimulatorVersion": "<string>",
"isProduction": True,
"runId": "run_123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metrics: [{id: 'id_123', name: 'Example Name', score: 0.95}],
actualOutput: 'Model response text',
versionId: 'ver_123',
productId: 'prod_123',
testCaseId: 'tc_123',
input: 'What is the capital of France?',
retrievalContext: 'Retrieved context document',
inputTokens: 123,
outputTokens: 123,
cacheReadInputTokens: 123,
tokens: 123,
cost: 123,
costPerInputToken: 123,
costPerOutputToken: 123,
costPerCacheReadInputToken: 123,
conversationSimulatorVersion: '<string>',
isProduction: true,
runId: 'run_123'
})
};
fetch('https://api.galtea.ai/evaluations/singleTurn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/evaluations/singleTurn",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'metrics' => [
[
'id' => 'id_123',
'name' => 'Example Name',
'score' => 0.95
]
],
'actualOutput' => 'Model response text',
'versionId' => 'ver_123',
'productId' => 'prod_123',
'testCaseId' => 'tc_123',
'input' => 'What is the capital of France?',
'retrievalContext' => 'Retrieved context document',
'inputTokens' => 123,
'outputTokens' => 123,
'cacheReadInputTokens' => 123,
'tokens' => 123,
'cost' => 123,
'costPerInputToken' => 123,
'costPerOutputToken' => 123,
'costPerCacheReadInputToken' => 123,
'conversationSimulatorVersion' => '<string>',
'isProduction' => true,
'runId' => 'run_123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/evaluations/singleTurn"
payload := strings.NewReader("{\n \"metrics\": [\n {\n \"id\": \"id_123\",\n \"name\": \"Example Name\",\n \"score\": 0.95\n }\n ],\n \"actualOutput\": \"Model response text\",\n \"versionId\": \"ver_123\",\n \"productId\": \"prod_123\",\n \"testCaseId\": \"tc_123\",\n \"input\": \"What is the capital of France?\",\n \"retrievalContext\": \"Retrieved context document\",\n \"inputTokens\": 123,\n \"outputTokens\": 123,\n \"cacheReadInputTokens\": 123,\n \"tokens\": 123,\n \"cost\": 123,\n \"costPerInputToken\": 123,\n \"costPerOutputToken\": 123,\n \"costPerCacheReadInputToken\": 123,\n \"conversationSimulatorVersion\": \"<string>\",\n \"isProduction\": true,\n \"runId\": \"run_123\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.galtea.ai/evaluations/singleTurn")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"metrics\": [\n {\n \"id\": \"id_123\",\n \"name\": \"Example Name\",\n \"score\": 0.95\n }\n ],\n \"actualOutput\": \"Model response text\",\n \"versionId\": \"ver_123\",\n \"productId\": \"prod_123\",\n \"testCaseId\": \"tc_123\",\n \"input\": \"What is the capital of France?\",\n \"retrievalContext\": \"Retrieved context document\",\n \"inputTokens\": 123,\n \"outputTokens\": 123,\n \"cacheReadInputTokens\": 123,\n \"tokens\": 123,\n \"cost\": 123,\n \"costPerInputToken\": 123,\n \"costPerOutputToken\": 123,\n \"costPerCacheReadInputToken\": 123,\n \"conversationSimulatorVersion\": \"<string>\",\n \"isProduction\": true,\n \"runId\": \"run_123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/evaluations/singleTurn")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"metrics\": [\n {\n \"id\": \"id_123\",\n \"name\": \"Example Name\",\n \"score\": 0.95\n }\n ],\n \"actualOutput\": \"Model response text\",\n \"versionId\": \"ver_123\",\n \"productId\": \"prod_123\",\n \"testCaseId\": \"tc_123\",\n \"input\": \"What is the capital of France?\",\n \"retrievalContext\": \"Retrieved context document\",\n \"inputTokens\": 123,\n \"outputTokens\": 123,\n \"cacheReadInputTokens\": 123,\n \"tokens\": 123,\n \"cost\": 123,\n \"costPerInputToken\": 123,\n \"costPerOutputToken\": 123,\n \"costPerCacheReadInputToken\": 123,\n \"conversationSimulatorVersion\": \"<string>\",\n \"isProduction\": true,\n \"runId\": \"run_123\"\n}"
response = http.request(request)
puts response.read_body[
{
"id": "eval_123",
"metricId": "metric_123",
"sessionId": "session_123",
"productId": "product_123",
"userId": "user_123",
"status": "SUCCESS",
"inferenceResultId": "ir_123",
"score": 0.95,
"reason": "<string>",
"error": "<string>",
"canRetry": true,
"creditsUsed": 123,
"conversationSimulatorVersion": "<string>",
"humanEvaluatorId": "<string>",
"humanEvaluatorStartedAt": "2023-11-07T05:31:56Z",
"humanScore": 123,
"humanReason": "<string>",
"humanEvaluatorFinishedAt": "2023-11-07T05:31:56Z",
"failedTurns": [
"<string>"
],
"deletedAt": "2023-11-07T05:31:56Z",
"evaluatedAt": "2023-11-07T05:31:56Z",
"metricLegacyAt": "2023-11-07T05:31:56Z",
"passed": true,
"metricPassThreshold": 0.5,
"metricDisabledAt": "2023-11-07T05:31:56Z",
"runId": "<string>",
"metricExcludedFromAnalyticsAt": "2023-11-07T05:31:56Z",
"metricExcludedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}You are reading the docs of Galtea 5.16. Read this page in the latest version.
Authorizations
Body
application/json
Response
Evaluations created successfully